package cz.moneta.test.regression.channels.digital.ib.oldib.account.saving;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.harness.annotations.TestCase;
import cz.moneta.test.harness.annotations.TestScenario;
import cz.moneta.test.harness.support.auth.Credentials;
import cz.moneta.test.harness.support.auth.Key;
import cz.moneta.test.harness.annotations.JiraTestCase;
import org.junit.jupiter.api.Disabled;

@TestScenario(name = "Verify saving accounts")
public class SavingAccountsTest {

    @Disabled
    @TestCase(name = "Login into IB using Mobile Key and list saving accounts")
    @JiraTestCase(id="IB-T8243")
    void anyUser_shouldSeeListOfSavingAccounts(Harness harness, @Key("ib.client") Credentials credentials) {
        harness.withIB()
                .openLoginPage()
                .then(harness.tasks().ib().loginWithDefaultMobileKeyAnd(credentials))
                .clickSavings();
    }
}
